Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AccountReport

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.AccountReport

All Implemented Interfaces:
  `Comparable<AccountReport>`, `ContractIdable`

public class AccountReport extends Object implements Comparable<AccountReport>, ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(AccountReport accountReport)`
  `int`
  `getContractId()`
  Возвращает id договора
  `Date`
  `getCreateDate()`
  `BigDecimal`
  `getCreditSum()`
  `BigDecimal`
  `getDebetSum()`
  `String`
  `getDocument()`
  `int`
  `getDocumentId()`
  `String`
  `getDocumentNumber()`
  `int`
  `getId()`
  `int`
  `getType()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setCreateDate(Date createDate)`
  `void`
  `setCreditSum(BigDecimal creditSum)`
  `void`
  `setDebetSum(BigDecimal debetSum)`
  `void`
  `setDocument(String document)`
  `void`
  `setDocumentId(int documentId)`
  `void`
  `setDocumentNumber(String documentNumber)`
  `void`
  `setId(int id)`
  `void`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccountReport

    public AccountReport()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### getCreateDate

    public Date getCreateDate()

  - ### setCreateDate

    public void setCreateDate(Date createDate)

  - ### getDocument

    public String getDocument()

  - ### setDocument

    public void setDocument(String document)

  - ### getDocumentId

    public int getDocumentId()

  - ### setDocumentId

    public void setDocumentId(int documentId)

  - ### getDocumentNumber

    public String getDocumentNumber()

  - ### setDocumentNumber

    public void setDocumentNumber(String documentNumber)

  - ### getCreditSum

    public BigDecimal getCreditSum()

  - ### setCreditSum

    public void setCreditSum(BigDecimal creditSum)

  - ### getDebetSum

    public BigDecimal getDebetSum()

  - ### setDebetSum

    public void setDebetSum(BigDecimal debetSum)

  - ### compareTo

    public int compareTo(AccountReport accountReport)
    Specified by:
      `compareTo` in interface `Comparable<AccountReport>`